Lavalite package that provides crypto_reccovery management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `luca/crypto_reccovery`.

    "luca/crypto_reccovery": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider::class,

And also add it to alias

    'CryptoReccovery'  => Luca\CryptoReccovery\Facades\CryptoReccovery::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Luca\\CryptoReccovery\\Seeds\\CryptoReccoveryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Luca\CryptoReccovery\Providers\CryptoReccoveryServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/crypto_reccovery/{modulename}

**User**

    http://path-to-route-folder/user/crypto_reccovery/{modulename}

**Public**

    http://path-to-route-folder/crypto_reccoveries


### API endpoints

**List**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/crypto_reccovery/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/crypto_reccovery/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/crypto_reccovery/{modulename}/{slug}
    METHOD: GET